Register a Discord app installation
curl --request POST \
--url https://api.interchange.io/api/v2/messaging-apps/{definitionId}/discord-installations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ownerId": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/messaging-apps/{definitionId}/discord-installations"
payload = { "ownerId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ownerId: '<string>'})
};
fetch('https://api.interchange.io/api/v2/messaging-apps/{definitionId}/discord-installations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"installation": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": 4503599627370495,
"providerRef": {
"provider": "slack",
"applicationId": "<string>",
"workspaceId": "<string>"
},
"status": "active",
"installedAt": "2023-11-07T05:31:56Z"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Account
Register a Discord app installation
Bind an installed Discord application to one guild or user context for the authenticated customer. The server creates and stores the actor-identity hashing key.
POST
/
messaging-apps
/
{definitionId}
/
discord-installations
Register a Discord app installation
curl --request POST \
--url https://api.interchange.io/api/v2/messaging-apps/{definitionId}/discord-installations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ownerId": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/messaging-apps/{definitionId}/discord-installations"
payload = { "ownerId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ownerId: '<string>'})
};
fetch('https://api.interchange.io/api/v2/messaging-apps/{definitionId}/discord-installations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"installation": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": 4503599627370495,
"providerRef": {
"provider": "slack",
"applicationId": "<string>",
"workspaceId": "<string>"
},
"status": "active",
"installedAt": "2023-11-07T05:31:56Z"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Response
Register a Discord app installation
Show child attributes
Show child attributes